Subject: FS: Taig Lathe w/ accessories

From: [email-masked] (Anthem Industries)
Date: Tue, 14 May 96 02:40:54 GMT

I have the following for sale:

Taig mini lathe.  It comes with the following:

1/8 HP 120v motor wired with switch and capacitor.
3 Jaw chuck attached
Milling Attachment
Several Cutting Tools for the lathe
Factory toolpost and tailstock.

All mounted on a sturdy board and ready to go.  

It is slightly used but in goodcondition.  

I'm selling it because I am looking to upgrade to
some bigger stuff.

Price:  $250 shipped UPS to you (you in the lower 48, that is)

Please reply via Email.  
Thanks.